package com.steering.pss.buybillet.Entity;

/**
 * 数据库表PIPE_CHECKCONSIGN_BASEINFO所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-12-18
 */
@SuppressWarnings("serial")
public class PipeCheckconsignBaseinfoEntity implements java.io.Serializable {
    /**
     * 检验编号 产线代码 + 炉号 + 1位流水
     */
    private String checkNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 炉号 对应JUDGE_STOVE_NO 判定炉号
     */
    private String heatNo = "";
    /**
     * 钢级
     */
    private String steelGrade = "";
    /**
     * 钢号
     */
    private String steelNo = "";
    /**
     * 品名
     */
    private String productName = "";
    /**
     * 技术标准(生产标准)
     */
    private String productStd = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 合同号
     */
    private String contractNo = "";
    /**
     * 0为正常，1为重检样，2为复检(样品类型) 对应SAMPLE_TYPE 
     */
    private String checkCount = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 外径
     */
    private String dimater = "";
    /**
     * 壁厚
     */
    private String height = "";
    /**
     * 扣型
     */
    private String buckleType = "";
    /**
     * 工艺状态
     */
    private String processStatus = "";
    /**
     * 委托单位 对应 CONSIGNER
     */
    private String consignDept = "";
    /**
     * 委托人(MES为质量下发委托，其他为调度人)
     */
    private String consignName = "";
    /**
     * 委托时间
     */
    private String consignTime = "";
    /**
     * 是否监制(0为不监制，1为监制)
     */
    private String isproducer = "";
    /**
     * 特殊要求
     */
    private String specReq = "";
    /**
     * 取样人
     */
    private String getName = "";
    /**
     * 取样时间
     */
    private String getTime = "";
    /**
     * 委托单位送样人
     */
    private String consigndeptSendName = "";
    /**
     * 委托单位送样时间
     */
    private String consigndeptSendTime = "";
    /**
     * 加工接样人
     */
    private String jgReceiveName = "";
    /**
     * 加工样品交接时间
     */
    private String jgReceiveTime = "";
    /**
     * 是否加急(0否)
     */
    private String isRush = "";
    /**
     * 加急人
     */
    private String rushName = "";
    /**
     * 加急时间
     */
    private String rushTime = "";
    /**
     * 0委托单位未取样，1委托单位正在送样...，2加工已确认，5 判定已接收
     */
    private String flag = "";
    /**
     * 样品备注
     */
    private String sampleRemark = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 0生产厂委托，1人工委托
     */
    private String dataType = "";
    /**
     * 数据状态（1有效、0无效）
     */
    private String validflag = "";
    /**
     * 工艺文件路径
     */
    private String craftPath = "";
    /**
     * 监制单位
     */
    private String producerDept = "";
    /**
     * 最终用户
     */
    private String finalUserDesc = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 管材材力试验文件路径
     */
    private String cailiPath = "";
    /**
     * 管材腐蚀试验文件路径
     */
    private String fushiPath = "";
    /**
     * 管材金物试验文件路径
     */
    private String jinwuPath = "";
    /**
     * 管材工程试验文件路径
     */
    private String gongchengPath = "";
    /**
     * 管材低倍试验文件路径
     */
    private String dibeiPath = "";
    /**
     * 管材化学试验文件路径
     */
    private String huaxuePath = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 合并单号
     */
    private String mergerNo = "";
    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产预备样 ，4外购管，5技术中心内部委托，6委外热处理样)
     */
    private String craftSource = "";
    /**
     * 加工确认打印次数
     */
    private String jgPrintCount = "";
    /**
     * 加工确认打印人
     */
    private String jgPrintName = "";
    /**
     * 加工确认打印时间
     */
    private String jgPrintTime = "";
    /**
     * 主制程索引号
     */
    private String indexSeq = "";
    /**
     * 理化索引号(内控)
     */
    private String pic = "";
    /**
     * 成分索引码(内控)
     */
    private String cic = "";
    /**
     * 生产批下炉归组
     */
    private String lotNoGroup = "";
    /**
     * 管材材力试验附件文件路径
     */
    private String cailiPathFujian = "";
    /**
     * 管材金物试验附件文件路径
     */
    private String jinwuPathFujian = "";
    

	/**
     * 检验编号 产线代码 + 炉号 + 1位流水
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号 产线代码 + 炉号 + 1位流水
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 炉号 对应JUDGE_STOVE_NO 判定炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 炉号 对应JUDGE_STOVE_NO 判定炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    /**
     * 钢级
     * @return value
     */
    public String getSteelGrade() {
        return steelGrade;
    }

    /**
     * 钢级
     * @param steelGrade value
     */
    public void setSteelGrade(String steelGrade) {
        this.steelGrade = steelGrade;
    }

    /**
     * 钢号
     * @return value
     */
    public String getSteelNo() {
        return steelNo;
    }

    /**
     * 钢号
     * @param steelNo value
     */
    public void setSteelNo(String steelNo) {
        this.steelNo = steelNo;
    }

    /**
     * 品名
     * @return value
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 品名
     * @param productName value
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * 技术标准(生产标准)
     * @return value
     */
    public String getProductStd() {
        return productStd;
    }

    /**
     * 技术标准(生产标准)
     * @param productStd value
     */
    public void setProductStd(String productStd) {
        this.productStd = productStd;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 0为正常，1为重检样，2为复检(样品类型) 对应SAMPLE_TYPE 
     * @return value
     */
    public String getCheckCount() {
        return checkCount;
    }

    /**
     * 0为正常，1为重检样，2为复检(样品类型) 对应SAMPLE_TYPE 
     * @param checkCount value
     */
    public void setCheckCount(String checkCount) {
        this.checkCount = checkCount;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 外径
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 外径
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 壁厚
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 扣型
     * @return value
     */
    public String getBuckleType() {
        return buckleType;
    }

    /**
     * 扣型
     * @param buckleType value
     */
    public void setBuckleType(String buckleType) {
        this.buckleType = buckleType;
    }

    /**
     * 工艺状态
     * @return value
     */
    public String getProcessStatus() {
        return processStatus;
    }

    /**
     * 工艺状态
     * @param processStatus value
     */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    /**
     * 委托单位 对应 CONSIGNER
     * @return value
     */
    public String getConsignDept() {
        return consignDept;
    }

    /**
     * 委托单位 对应 CONSIGNER
     * @param consignDept value
     */
    public void setConsignDept(String consignDept) {
        this.consignDept = consignDept;
    }

    /**
     * 委托人(MES为质量下发委托，其他为调度人)
     * @return value
     */
    public String getConsignName() {
        return consignName;
    }

    /**
     * 委托人(MES为质量下发委托，其他为调度人)
     * @param consignName value
     */
    public void setConsignName(String consignName) {
        this.consignName = consignName;
    }

    /**
     * 委托时间
     * @return value
     */
    public String getConsignTime() {
        return consignTime;
    }

    /**
     * 委托时间
     * @param consignTime value
     */
    public void setConsignTime(String consignTime) {
        this.consignTime = consignTime;
    }

    /**
     * 是否监制(0为不监制，1为监制)
     * @return value
     */
    public String getIsproducer() {
        return isproducer;
    }

    /**
     * 是否监制(0为不监制，1为监制)
     * @param isproducer value
     */
    public void setIsproducer(String isproducer) {
        this.isproducer = isproducer;
    }

    /**
     * 特殊要求
     * @return value
     */
    public String getSpecReq() {
        return specReq;
    }

    /**
     * 特殊要求
     * @param specReq value
     */
    public void setSpecReq(String specReq) {
        this.specReq = specReq;
    }

    /**
     * 取样人
     * @return value
     */
    public String getGetName() {
        return getName;
    }

    /**
     * 取样人
     * @param getName value
     */
    public void setGetName(String getName) {
        this.getName = getName;
    }

    /**
     * 取样时间
     * @return value
     */
    public String getGetTime() {
        return getTime;
    }

    /**
     * 取样时间
     * @param getTime value
     */
    public void setGetTime(String getTime) {
        this.getTime = getTime;
    }

    /**
     * 委托单位送样人
     * @return value
     */
    public String getConsigndeptSendName() {
        return consigndeptSendName;
    }

    /**
     * 委托单位送样人
     * @param consigndeptSendName value
     */
    public void setConsigndeptSendName(String consigndeptSendName) {
        this.consigndeptSendName = consigndeptSendName;
    }

    /**
     * 委托单位送样时间
     * @return value
     */
    public String getConsigndeptSendTime() {
        return consigndeptSendTime;
    }

    /**
     * 委托单位送样时间
     * @param consigndeptSendTime value
     */
    public void setConsigndeptSendTime(String consigndeptSendTime) {
        this.consigndeptSendTime = consigndeptSendTime;
    }

    /**
     * 加工接样人
     * @return value
     */
    public String getJgReceiveName() {
        return jgReceiveName;
    }

    /**
     * 加工接样人
     * @param jgReceiveName value
     */
    public void setJgReceiveName(String jgReceiveName) {
        this.jgReceiveName = jgReceiveName;
    }

    /**
     * 加工样品交接时间
     * @return value
     */
    public String getJgReceiveTime() {
        return jgReceiveTime;
    }

    /**
     * 加工样品交接时间
     * @param jgReceiveTime value
     */
    public void setJgReceiveTime(String jgReceiveTime) {
        this.jgReceiveTime = jgReceiveTime;
    }

    /**
     * 是否加急(0否)
     * @return value
     */
    public String getIsRush() {
        return isRush;
    }

    /**
     * 是否加急(0否)
     * @param isRush value
     */
    public void setIsRush(String isRush) {
        this.isRush = isRush;
    }

    /**
     * 加急人
     * @return value
     */
    public String getRushName() {
        return rushName;
    }

    /**
     * 加急人
     * @param rushName value
     */
    public void setRushName(String rushName) {
        this.rushName = rushName;
    }

    /**
     * 加急时间
     * @return value
     */
    public String getRushTime() {
        return rushTime;
    }

    /**
     * 加急时间
     * @param rushTime value
     */
    public void setRushTime(String rushTime) {
        this.rushTime = rushTime;
    }

    /**
     * 0委托单位未取样，1委托单位正在送样...，2加工已确认，5 判定已接收
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 0委托单位未取样，1委托单位正在送样...，2加工已确认，5 判定已接收
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 样品备注
     * @return value
     */
    public String getSampleRemark() {
        return sampleRemark;
    }

    /**
     * 样品备注
     * @param sampleRemark value
     */
    public void setSampleRemark(String sampleRemark) {
        this.sampleRemark = sampleRemark;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 0生产厂委托，1人工委托
     * @return value
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * 0生产厂委托，1人工委托
     * @param dataType value
     */
    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    /**
     * 数据状态（1有效、0无效）
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态（1有效、0无效）
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 工艺文件路径
     * @return value
     */
    public String getCraftPath() {
        return craftPath;
    }

    /**
     * 工艺文件路径
     * @param craftPath value
     */
    public void setCraftPath(String craftPath) {
        this.craftPath = craftPath;
    }

    /**
     * 监制单位
     * @return value
     */
    public String getProducerDept() {
        return producerDept;
    }

    /**
     * 监制单位
     * @param producerDept value
     */
    public void setProducerDept(String producerDept) {
        this.producerDept = producerDept;
    }

    /**
     * 最终用户
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 最终用户
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 管材材力试验文件路径
     * @return value
     */
    public String getCailiPath() {
        return cailiPath;
    }

    /**
     * 管材材力试验文件路径
     * @param cailiPath value
     */
    public void setCailiPath(String cailiPath) {
        this.cailiPath = cailiPath;
    }

    /**
     * 管材腐蚀试验文件路径
     * @return value
     */
    public String getFushiPath() {
        return fushiPath;
    }

    /**
     * 管材腐蚀试验文件路径
     * @param fushiPath value
     */
    public void setFushiPath(String fushiPath) {
        this.fushiPath = fushiPath;
    }

    /**
     * 管材金物试验文件路径
     * @return value
     */
    public String getJinwuPath() {
        return jinwuPath;
    }

    /**
     * 管材金物试验文件路径
     * @param jinwuPath value
     */
    public void setJinwuPath(String jinwuPath) {
        this.jinwuPath = jinwuPath;
    }

    /**
     * 管材工程试验文件路径
     * @return value
     */
    public String getGongchengPath() {
        return gongchengPath;
    }

    /**
     * 管材工程试验文件路径
     * @param gongchengPath value
     */
    public void setGongchengPath(String gongchengPath) {
        this.gongchengPath = gongchengPath;
    }

    /**
     * 管材低倍试验文件路径
     * @return value
     */
    public String getDibeiPath() {
        return dibeiPath;
    }

    /**
     * 管材低倍试验文件路径
     * @param dibeiPath value
     */
    public void setDibeiPath(String dibeiPath) {
        this.dibeiPath = dibeiPath;
    }

    /**
     * 管材化学试验文件路径
     * @return value
     */
    public String getHuaxuePath() {
        return huaxuePath;
    }

    /**
     * 管材化学试验文件路径
     * @param huaxuePath value
     */
    public void setHuaxuePath(String huaxuePath) {
        this.huaxuePath = huaxuePath;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 合并单号
     * @return value
     */
    public String getMergerNo() {
        return mergerNo;
    }

    /**
     * 合并单号
     * @param mergerNo value
     */
    public void setMergerNo(String mergerNo) {
        this.mergerNo = mergerNo;
    }

    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产预备样 ，4外购管，5技术中心内部委托，6委外热处理样)
     * @return value
     */
    public String getCraftSource() {
        return craftSource;
    }

    /**
     * 委托类型(0，正常 1，首日检 2，科研样 3，生产预备样 ，4外购管，5技术中心内部委托，6委外热处理样)
     * @param craftSource value
     */
    public void setCraftSource(String craftSource) {
        this.craftSource = craftSource;
    }

    /**
     * 加工确认打印次数
     * @return value
     */
    public String getJgPrintCount() {
        return jgPrintCount;
    }

    /**
     * 加工确认打印次数
     * @param jgPrintCount value
     */
    public void setJgPrintCount(String jgPrintCount) {
        this.jgPrintCount = jgPrintCount;
    }

    /**
     * 加工确认打印人
     * @return value
     */
    public String getJgPrintName() {
        return jgPrintName;
    }

    /**
     * 加工确认打印人
     * @param jgPrintName value
     */
    public void setJgPrintName(String jgPrintName) {
        this.jgPrintName = jgPrintName;
    }

    /**
     * 加工确认打印时间
     * @return value
     */
    public String getJgPrintTime() {
        return jgPrintTime;
    }

    /**
     * 加工确认打印时间
     * @param jgPrintTime value
     */
    public void setJgPrintTime(String jgPrintTime) {
        this.jgPrintTime = jgPrintTime;
    }

    /**
     * 主制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 主制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 理化索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 理化索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 成分索引码(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分索引码(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 生产批下炉归组
     * @return value
     */
    public String getLotNoGroup() {
        return lotNoGroup;
    }

    /**
     * 生产批下炉归组
     * @param lotNoGroup value
     */
    public void setLotNoGroup(String lotNoGroup) {
        this.lotNoGroup = lotNoGroup;
    }

    /**
     * 管材材力试验附件文件路径
     * @return value
     */
    public String getCailiPathFujian() {
        return cailiPathFujian;
    }

    /**
     * 管材材力试验附件文件路径
     * @param cailiPathFujian value
     */
    public void setCailiPathFujian(String cailiPathFujian) {
        this.cailiPathFujian = cailiPathFujian;
    }
    
    public String getJinwuPathFujian() {
		return jinwuPathFujian;
	}

	public void setJinwuPathFujian(String jinwuPathFujian) {
		this.jinwuPathFujian = jinwuPathFujian;
	}
}
